# Update config of a PT serving endpoint

Launch stage: Public Preview

`PUT /api/2.0/serving-endpoints/pt/{name}/config`

Updates any combination of the pt endpoint's served entities, the compute configuration of those served entities, and the endpoint's traffic config. Updates are instantaneous and endpoint should be updated instantly

API scopes: model-serving

## Path parameters

- `name` (string, required)
  The name of the pt endpoint to update. This field is required.
  Example: `feed-ads`
  Constraints: `[ 1 .. 63 ] characters`

## Request body

- `config` (object, required)
  - `served_entities` (array of object, optional)
    The list of served entities under the serving endpoint config.
    - `name` (string, optional)
      The name of a served entity. It must be unique across an endpoint. A served entity name can consist of alphanumeric characters, dashes, and underscores. If not specified for an external model, this field defaults to external_model.name, with '.' and ':' replaced with '-', and if not specified for other entities, it defaults to entity_name-entity_version.
      Example: `ads-model-3`
    - `entity_name` (string, required)
      The name of the entity to be served. The entity may be a model in the Databricks Model Registry, a model in the Unity Catalog (UC), or a function of type FEATURE_SPEC in the UC. If it is a UC object, the full name of the object should be given in the form of **catalog_name.schema_name.model_name**.
      Example: `ads-model`
    - `entity_version` (string, optional)
      Example: `3`
    - `provisioned_model_units` (int64, required)
      The number of model units to be provisioned.
      Example: `1000`
    - `burst_scaling_enabled` (boolean, optional)
      Whether burst scaling is enabled. When enabled (default), the endpoint can automatically
       scale up beyond provisioned capacity to handle traffic spikes. When disabled, the endpoint
       maintains fixed capacity at provisioned_model_units.
      Example: `true`
  - `traffic_config` (object, optional)
    - `routes` (array of object, optional)
      The list of routes that define traffic to each served entity.
      - `served_model_name` (string, optional)
        The name of the served model this route configures traffic for.
        Example: `ads-model-3`
      - `traffic_percentage` (int32, required)
        The percentage of endpoint traffic to send to this route. It must be an integer between 0 and 100 inclusive.
        Example: `100`
      - `served_entity_name` (string, optional)
        Example: `ads-model-3`

## Returns

Returns the InferenceEndpointDetailed object.

## Response

```json
{
  "name": "feed-ads",
  "creator": "alice@company.com",
  "creation_timestamp": 0,
  "last_updated_timestamp": 0,
  "state": {
    "ready": "READY",
    "config_update": "NOT_UPDATING"
  },
  "config": {
    "config_version": 0,
    "served_entities": [
      {}
    ],
    "served_models": [
      {}
    ],
    "traffic_config": {},
    "auto_capture_config": {}
  },
  "pending_config": {
    "served_entities": [
      {}
    ],
    "served_models": [
      {}
    ],
    "traffic_config": {},
    "config_version": 0,
    "start_time": 0,
    "auto_capture_config": {}
  },
  "id": "88fd3f75a0d24b0380ddc40484d7a31b",
  "permission_level": "CAN_MANAGE",
  "tags": [
    {
      "key": "team",
      "value": "data science"
    }
  ],
  "task": "model-serving-task",
  "route_optimized": true,
  "endpoint_url": "string",
  "data_plane_info": {
    "query_info": {}
  },
  "ai_gateway": {
    "usage_tracking_config": {},
    "inference_table_config": {},
    "rate_limits": [
      {}
    ],
    "guardrails": {},
    "fallback_config": {}
  },
  "budget_policy_id": "string",
  "email_notifications": {
    "on_update_success": [
      "user.name@databricks.com"
    ],
    "on_update_failure": [
      "user.name@databricks.com"
    ]
  },
  "description": "string",
  "telemetry_config": {
    "telemetry_profile_id": "string",
    "table_names": {},
    "inference_table_config": {},
    "enabled_telemetry_features": [
      "TELEMETRY_FEATURE_LOGS"
    ]
  }
}
```

